Bug 782957 - Review Request: musca - A simple dynamic window manager fox X
Summary: Review Request: musca - A simple dynamic window manager fox X
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-18 23:00 UTC by Damien Durand
Modified: 2012-05-11 22:01 UTC (History)
3 users (show)

Fixed In Version: musca-0.9.24-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-19 21:31:32 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Damien Durand 2012-01-18 23:00:55 UTC
Hello,

My main interest is to maintain this packages for EPEL :-)

(It should work on Fedora. Built fine with mock)

Spec URL: http://splinux.fedorapeople.org/packages/musca/musca.spec
SRPM URL: http://splinux.fedorapeople.org/packages/musca/musca-0.9.24-1.el6.src.rpm

Description: musca is a simple dynamic window manager for X, with features nicked
from ratpoison and dwm.

Comment 1 Damien Durand 2012-02-08 23:31:34 UTC
Up

Comment 2 Petr Šabata 2012-02-09 09:06:04 UTC
I'm going to do the review.
I see this is one of those that depend on dmenu.  Note dmenu currently lives in EPEL6 only.

Comment 3 Petr Šabata 2012-02-09 11:17:10 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[-]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[-]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required

     Ok.  Needed in EPEL6.

[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.

     This is a window manager and the desktop file there is used for xsessions.
     desktop-file-install shouldn't be used in this case.

     However, I'd recommend putting it to an extra file in git rather than
     having it in spec...

[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/782957/musca-0.9.24.tgz :
  MD5SUM this package     : e067a8e39b1a97d62fc8e43800edee70
  MD5SUM upstream package : e067a8e39b1a97d62fc8e43800edee70
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: dmenu is EPEL6-only package, therefore you could safely remove
EPEL5 features of your spec file (BuildRoot tag, buildroot removal in
%install, and %defattr in %files)
TIP: The %description is almost the same as Summary; you could use the
first item from the list on musca website there, I suppose.  That would
also give users unfamiliar with ratpoison or dwm an idea what this
package is about.
TIP: Put the .desktop file contents in an extra git file.  But this is
just about personal preferences...
TODO: Unfortunatelly, Packaging Guidelines list coreutils and sed package
only in the minimum build environment, not runtime -- that depends on the specific compose.  You should list those two in your Requires.
FIX: You'll have to patch config.h to call dmenu_run for Fedora16+ or
it won't work as you expect (xmonad had the same issue, see bug #757435).
I know you plan this mainly for EPEL but you're going to get the Rawhide
branch (at least) anyway.
TODO: Use the -p option with your install commands to preserve timestamps.

Consider fixing the optional TODO points in addition to the config.h patch.
Not approving yet.

Generated by fedora-review 0.1.1
External plugins:

Comment 4 Petr Šabata 2012-02-09 12:48:50 UTC
Ah, never mind.  I had the impression musca uses dmenu as an application launcher with $PATH binaries list.  That doesn't seem to be the case.

Approving.

Comment 5 Damien Durand 2012-02-11 22:45:45 UTC
New Package SCM Request
=======================
Package Name: musca
Short A simple dynamic window manager fox X
Owners: splinux
Branches: f16 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-02-12 21:19:45 UTC
Please fix name/description, and add f17 branch.

Comment 7 Damien Durand 2012-02-15 12:08:23 UTC
New Package SCM Request
=======================
Package Name: musca
Short Description: A simple dynamic window manager fox X
Owners: splinux
Branches: f16 f17 el6
InitialCC:

Comment 8 Gwyn Ciesla 2012-02-19 20:34:48 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-02-20 17:14:38 UTC
musca-0.9.24-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/musca-0.9.24-2.el6

Comment 10 Fedora Update System 2012-02-20 17:14:47 UTC
musca-0.9.24-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/musca-0.9.24-2.fc16

Comment 11 Fedora Update System 2012-02-20 17:14:55 UTC
musca-0.9.24-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/musca-0.9.24-3.fc17

Comment 12 Fedora Update System 2012-02-28 10:32:46 UTC
musca-0.9.24-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Fedora Update System 2012-03-01 09:28:20 UTC
musca-0.9.24-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2012-03-07 18:39:33 UTC
musca-0.9.24-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2012-04-25 14:02:19 UTC
musca-0.9.24-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/musca-0.9.24-3.fc16

Comment 16 Fedora Update System 2012-04-25 14:11:08 UTC
musca-0.9.24-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/musca-0.9.24-3.el6

Comment 17 Fedora Update System 2012-04-25 14:36:19 UTC
musca-0.9.24-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/musca-0.9.24-4.fc17

Comment 18 Fedora Update System 2012-05-04 20:31:02 UTC
musca-0.9.24-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-05-04 22:54:41 UTC
musca-0.9.24-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-05-11 22:01:57 UTC
musca-0.9.24-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.